{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Liste des entreprises
{% endblock %}

{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}
<div class="flex gap-5 w-full h-12 mb-10">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
        <input id="search" type="text" required placeholder="Effectuez votre recherche ici..." class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500
            focus:border-blue-500 block w-full px-2.5 py-2 w-64" oninput="refresh()" />
    </div>


    <div class="flex flex-col ml-auto">
        <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
        <div id="orders" class="flex whitespace-nowrap gap-2">
            <button onclick="order(this)" value="1"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Nom
                de l'entreprise</button>
            <button onclick="order(this)" value="2" invert
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Nombre
                d'offres</button>
        </div>
    </div>
</div>


<table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tr class="bg-gray-50 text-gray-900 text-sm">
        <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nom de l'entreprise</th>
        <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Email de l'entreprise</th>
        <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Téléphone de l'entreprise</th>
        <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Responsable</th>
        <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre d'offres</th>
        <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Voir</th>

    </tr>



    {% for company in companies %}
    <tr class="bg-gray-50 text-gray-900 text-sm">
        <td name="1" class="px-2.5 py-2 overflow-hidden">{{ company.name }}</td>
        <td class="px-2.5 py-2 overflow-hidden">{{ company.contact_email }}</td>
        <td class="px-2.5 py-2 overflow-hidden">{{ company.contact_phone }}</td>
        <td class="px-2.5 py-2 overflow-hidden">{{ company.responsable.first_name }} {{ company.responsable.last_name }}
        </td>
        <td name="2" class="px-2.5 py-2 overflow-hidden">{{ get_number_offers_from_company(company.id) }}
        </td>
        <td class="px-2.5 py-2 overflow-hidden">
            <a href="{{ url_for('company', id=company.id) }}"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit">Voir
                plus de détails</a>
        </td>
    </tr>
    {% endfor %}
</table>


<!--
<div class="flex gap-2 w-fit my-0 mx-auto mt-10">
    <button
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 h-fit">1</button>

    <button
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 h-fit">2</button>
</div>
 -->
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}